############################################################
#
# lzma
#
#############################################################
LZMA_SITE=http://martinus.geekisp.com/files/
LZMA_SOURCE=lzma-0.04.tar.gz
LZMA_DIR:=$(BUILD_DIR)/lzma-0.04
LZMA_CAT:=zcat
LZMA_BINARY:=lzma
LZMA_TARGET_BINARY:=usr/bin/lzma

$(DL_DIR)/$(LZMA_SOURCE):
	 $(WGET) -P $(DL_DIR) $(LZMA_SITE)/$(LZMA_SOURCE)

lzma-source: $(DL_DIR)/$(LZMA_SOURCE)

$(LZMA_DIR)/.unpacked: $(DL_DIR)/$(LZMA_SOURCE)
	$(LZMA_CAT) $(DL_DIR)/$(LZMA_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(LZMA_DIR)/.unpacked

$(LZMA_DIR)/$(LZMA_BINARY): $(LZMA_DIR)/.unpacked
	$(TARGET_CONFIGURE_OPTS) $(MAKE) CFLAGS="$(TARGET_CFLAGS)" \
		CC=$(TARGET_CC) -C $(LZMA_DIR)

$(TARGET_DIR)/$(LZMA_TARGET_BINARY): $(LZMA_DIR)/$(LZMA_BINARY)
	cp $(LZMA_DIR)/$(LZMA_BINARY) $(TARGET_DIR)/$(LZMA_TARGET_BINARY)

lzma: $(TARGET_DIR)/$(LZMA_TARGET_BINARY)

lzma-clean:
	$(MAKE) -C $(LZMA_DIR) clean

lzma-dirclean:
	rm -rf $(LZMA_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_LZMA)),y)
TARGETS+=lzma
endif
